Edge Training Systems
Elearning Browser Check
 
     
Go back   Close window  
 
HAVE
NEED
Browser: MS Internet Explorer or
Netscape
Browser Version: MSIE 4.1 or higher
Netscape 4.7x or higher

Windows 95 / 98 / ME / XP/ 2000 / NT
Java Enabled: Yes
Flash Version: 5 or higher, if not
Get latest Flash

Click here to go back